Debian Bug report logs - #616654
p.d.o: untranslatable top menu

Package: www.debian.org; Maintainer for www.debian.org is Debian WWW Team <debian-www@lists.debian.org>;

Reported by: Yuri Kozlov <yuray@komyakino.ru>

Date: Sun, 6 Mar 2011 10:30:05 UTC

Severity: wishlist

Tags: confirmed, l10n, patch

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#616654; Package www.debian.org. (Sun, 06 Mar 2011 10:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yuri Kozlov <yuray@komyakino.ru>:
New Bug report received and forwarded. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sun, 06 Mar 2011 10:30:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yuri Kozlov <yuray@komyakino.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: p.d.o: untranslatable top menu
Date: Sun, 06 Mar 2011 13:26:54 +0300
Package: www.debian.org
Severity: wishlist

Hello.

The page
http://www.debian.org/distrib/packages
have a translated menu. (http://i54.tinypic.com/9a44yp.png)

After making search, user see the same menu, but untranslated
http://packages.debian.org/search?keywords=syna&searchon=names&suite=unstable&section=all
(http://i56.tinypic.com/f2j329.png)

I not find the way how to translate this menu.
It would be nice to have this menu translatable too.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.37-trunk-amd64 (SMP w/4 CPU cores)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#616654; Package www.debian.org. (Sun, 06 Mar 2011 20:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <spaillard@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sun, 06 Mar 2011 20:57:04 GMT) Full text and rfc822 format available.

Message #10 received at 616654@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: Yuri Kozlov <yuray@komyakino.ru>, 616654@bugs.debian.org
Subject: Re: Bug#616654: p.d.o: untranslatable top menu
Date: Sun, 6 Mar 2011 21:54:42 +0100
tag 616654 + confirmed l10n

On Sun, Mar 06, 2011 at 01:26:54PM +0300, Yuri Kozlov wrote:
> Package: www.debian.org
> Severity: wishlist
> 
> The page
> http://www.debian.org/distrib/packages
> have a translated menu. (http://i54.tinypic.com/9a44yp.png)
> 
> After making search, user see the same menu, but untranslated
> http://packages.debian.org/search?keywords=syna&searchon=names&suite=unstable&section=all
> (http://i56.tinypic.com/f2j329.png)
> 
> I not find the way how to translate this menu.
> It would be nice to have this menu translatable too.

in git+ssh://git.debian.org/git/webwml/packages.git
templates/html/head.tmpl contains hardcoded and not translatable english strings.

Patch is ready, I'll just check it's ok.

-- 
Simon Paillard




Added tag(s) confirmed and l10n. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Sun, 06 Mar 2011 20:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#616654; Package www.debian.org. (Wed, 09 Mar 2011 15:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Wansing <linux@wansing-online.de>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 09 Mar 2011 15:09:06 GMT) Full text and rfc822 format available.

Message #17 received at 616654@bugs.debian.org (full text, mbox):

From: Holger Wansing <linux@wansing-online.de>
To: 616654@bugs.debian.org
Subject: untranslatable menu on packages.debian.org - bug can be closed
Date: Wed, 9 Mar 2011 16:05:35 +0100
This bug can be closed, problem is fixed.

Holger

-- 

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
Created with Sylpheed 3.0.2
    under DEBIAN GNU/LINUX 6.0 - S q u e e z e 
        Registered LinuxUser #311290 - http://counter.li.org/
= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#616654; Package www.debian.org. (Wed, 09 Mar 2011 17:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <davidp@altern.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 09 Mar 2011 17:45:03 GMT) Full text and rfc822 format available.

Message #22 received at 616654@bugs.debian.org (full text, mbox):

From: David Prévot <davidp@altern.org>
To: Holger Wansing <linux@wansing-online.de>, 616654@bugs.debian.org
Subject: Re: Bug#616654: untranslatable menu on packages.debian.org - bug can be closed
Date: Wed, 09 Mar 2011 13:41:07 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Le 09/03/2011 11:05, Holger Wansing a écrit :
> This bug can be closed, problem is fixed.

No, we're talking about the top menu which is still in English:

    About Debian
    Getting Debian
    Support
    Developers' Corner

Simon's patch is not yet committed.

Regards

David

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNd7uwAAoJELgqIXr9/gnyuUQP/j1Pbp747QhXyzQOrJEX6E4E
4TGaYv+2Y67ST4Ue7/AzKKGZEPFFQDrFHmU1CeXK5437E1iv+QC0/rvRM9sEP6IU
HPLYlQ4OCJMGqrBlCtLucEVyR/td7EaDMndPk7otiVRZRrlwYtomBp3LdXZQs6ql
al129fsRa8ejo+Zx+QBPyK8rdkIVqLw8HQrP1cOxhjIQKfjhkESuH+X78+I3xSJz
Q/4OMVYbvXiEM1dFApqIcv50B/CVQxmHsbV8wxL6TmJubfxHEVHY9hkg1sCYDWWQ
5jP0CVJKWW/7pFaE0OPNTjeg4rUmuGbX8udJ3rZuz/7kI5a9j1vRQuUwcKmz2Gia
aFfA1IwwY5AU3BtUs8OT/fG1aWcVmPdfKrN8F931z71LRmLuouXdjBXM0GX/ZkBY
qtJWxd7WYjQypr73Ynb4Zi3IFzhXvtpHA8a3Yz1m7P5jaHSRinOU4pf0YDqQX6qb
PEfU0TChOCpsftRe+TbD9qGhkMXLVFES9YGXaBlPFtCFn36zaJC53Z4tyvErj+VI
N9vWhLQTUDi/ee0e7DoE2jww1Fi8tTeFBA5r0iTuig86G/AGLGVqgGvrpvqSQRN6
ybPeUqsKsKNNxAtR7/6ojWwWKXnKt/ghkudrKiaL853BWTK5YY+kNb5odGSIPkQC
Q0A3TgnUxnbYgbz2p4sV
=l/1T
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#616654; Package www.debian.org. (Mon, 14 Mar 2011 13:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@deb.at>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Mon, 14 Mar 2011 13:15:02 GMT) Full text and rfc822 format available.

Message #27 received at 616654@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: Holger Wansing <linux@wansing-online.de>, 616654@bugs.debian.org
Subject: Re: Bug#616654: untranslatable menu on packages.debian.org - bug can be closed
Date: Mon, 14 Mar 2011 14:14:16 +0100
* Holger Wansing <linux@wansing-online.de> [2011-03-09 16:05:35 CET]:
> This bug can be closed, problem is fixed.

 Unfortunately not, see http://packages.debian.org/ru/index - this is
work in progress.

 So long,
Rhonda
-- 
"What are the differences between Mark Zuckerberg and me? I give private
 information on corporations to you for free, and I'm a villain.
 Zuckerberg gives your private information to corporations for money and
 he's Man of the Year."         -- Julian Assange




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#616654; Package www.debian.org. (Sun, 27 Mar 2011 20:30:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <spaillard@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sun, 27 Mar 2011 20:30:22 GMT) Full text and rfc822 format available.

Message #32 received at 616654@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: 616654@bugs.debian.org
Subject: Re: Bug#616654: p.d.o: untranslatable top menu
Date: Sun, 27 Mar 2011 22:12:50 +0200
[Message part 1 (text/plain, inline)]
tag 616654 + patch 

On Sun, Mar 06, 2011 at 09:54:42PM +0100, Simon Paillard wrote:
> On Sun, Mar 06, 2011 at 01:26:54PM +0300, Yuri Kozlov wrote:
> > The page
> > http://www.debian.org/distrib/packages
> > have a translated menu. (http://i54.tinypic.com/9a44yp.png)
> > 
> > After making search, user see the same menu, but untranslated
> > http://packages.debian.org/search?keywords=syna&searchon=names&suite=unstable&section=all
> > (http://i56.tinypic.com/f2j329.png)
> > 
> > I not find the way how to translate this menu.
> > It would be nice to have this menu translatable too.
> 
> in git+ssh://git.debian.org/git/webwml/packages.git
> templates/html/head.tmpl contains hardcoded and not translatable english strings.
> 
> Patch is ready, I'll just check it's ok.

Attached.
 
However, these strings come from the new design in debian-master
branch, while po files and translators work on master branch.

My proposal would be to ask translators to work only in debian-master branch.


-- 
Simon Paillard
[0001-Make-header-translatable-Closes-616654.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Sun, 27 Mar 2011 20:30:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:24:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.